diff --git dapi/src/lts/lsw_main.c dapi/src/lts/lsw_main.c
index 63257eb3..c12c3762 100644
--- dapi/src/lts/lsw_main.c
+++ dapi/src/lts/lsw_main.c
@@ -1582,7 +1582,7 @@ int linux_get_dict_names(char *main_dict_name,char *user_dict_name, char *foreig
 		if (count != -1) {
 			char *cfg;
 			cfg = dirname(p);
-			strcat(cfg,"/../");
+			strcat(cfg,"/../etc/");
 			strcat(cfg,"DECtalk.conf");
 			config_file=fopen(cfg,"r");
 		}
@@ -1637,7 +1637,7 @@ int linux_get_dict_names(char *main_dict_name,char *user_dict_name, char *foreig
 						dict = dirname(p);
 						strcat(dict,"/");
 						if (parent)
-							strcat(dict,"../");
+							strcat(dict,"../share/dectalk/");
 						strcat(dict,main_dict_name);
 						strcpy(main_dict_name,dict);
 					}
@@ -1673,7 +1673,7 @@ int linux_get_dict_names(char *main_dict_name,char *user_dict_name, char *foreig
 				dict = dirname(p);
 				strcat(dict,"/");
 				if (parent)
-					strcat(dict,"../");
+					strcat(dict,"../share/dectalk/");
 				strcat(dict,DEF_LINUX_MAIN_DICT);
 				strcpy(main_dict_name,dict);
 			}
@@ -1713,7 +1713,7 @@ int linux_get_dict_names(char *main_dict_name,char *user_dict_name, char *foreig
 						dict = dirname(p);
 						strcat(dict,"/");
 						if (parent)
-							strcat(dict,"../");
+							strcat(dict,"../share/dectalk/");
 						strcat(dict,foreign_dict_name);
 						strcpy(foreign_dict_name,dict);
 					}
@@ -1749,7 +1749,7 @@ int linux_get_dict_names(char *main_dict_name,char *user_dict_name, char *foreig
 				dict = dirname(p);
 				strcat(dict,"/");
 				if (parent)
-					strcat(dict,"../");
+					strcat(dict,"../share/dectalk/");
 				strcat(dict,DEF_LINUX_FOREIGN_DICT);
 				strcpy(foreign_dict_name,dict);
 			}
diff --git dtalkml/src/dtalk_ml.c dtalkml/src/dtalk_ml.c
index 40b2c7e8..8b7905e9 100644
--- dtalkml/src/dtalk_ml.c
+++ dtalkml/src/dtalk_ml.c
@@ -619,7 +619,7 @@ BOOL init(void)
 		if (count != -1) {
 			char *cfg;
 			cfg = dirname(p);
-			strcat(cfg,"/../");
+			strcat(cfg,"/../etc/");
 			strcat(cfg,"DECtalk.conf");
 			config_file=fopen(cfg,"r");
 		}
@@ -1608,7 +1608,7 @@ DWORD TextToSpeechEnumLangs(LPLANG_ENUM *langs)
 		if (count != -1) {
 			char *cfg;
 			cfg = dirname(p);
-			strcat(cfg,"/../");
+			strcat(cfg,"/../etc/");
 			strcat(cfg,"DECtalk.conf");
 			config_file=fopen(cfg,"r");
 		}
diff --git samplosf/src/speak/gspeak.c samplosf/src/speak/gspeak.c
index 3adeb974..57993f84 100644
--- samplosf/src/speak/gspeak.c
+++ samplosf/src/speak/gspeak.c
@@ -805,7 +805,7 @@ int main (int argc, char *argv[])
 	  if (count != -1) {
 		  char *cfg;
 		  cfg = dirname(p);
-		  strcat(cfg,"/../");
+		  strcat(cfg,"/../etc/");
 		  strcat(cfg,"DECtalk.conf");
 		  config_file=fopen(cfg,"r");
 	  }
@@ -860,7 +860,7 @@ int main (int argc, char *argv[])
 	     bmp = dirname(p);
 	     strcat(bmp,"/");
 	     if (parent)
-	             strcat(bmp,"../");
+	             strcat(bmp,"../share/dectalk/");
 	     strcat(bmp,bitmap_path);
 	     strcpy(bitmap_path,bmp);
 	   }
@@ -2024,7 +2024,7 @@ void HelpAboutCallback(GtkWidget *w, gpointer data)
 	  if (count != -1) {
 		  char *cfg;
 		  cfg = dirname(p);
-		  strcat(cfg,"/../");
+		  strcat(cfg,"/../etc/");
 		  strcat(cfg,"DECtalk.conf");
 		  config_file=fopen(cfg,"r");
 	  }
@@ -2078,7 +2078,7 @@ void HelpAboutCallback(GtkWidget *w, gpointer data)
 	     bmp = dirname(p);
 	     strcat(bmp,"/");
 	     if (parent)
-	             strcat(bmp,"../");
+	             strcat(bmp,"../share/dectalk/");
 	     strcat(bmp,bitmap_path);
 	     strcpy(bitmap_path,bmp);
 	   }
@@ -2159,7 +2159,7 @@ void HelpHelpCallback(GtkWidget *w, gpointer data)
     "\n"
     "GSpeak help\n\n"
     "  Point your web browser to:\n\n"
-    "  - file://" DECTALK_INSTALL_PREFIX "/doc/DECtalk/html/dectalk.htm\n\n"
+    "  - file://" DECTALK_INSTALL_PREFIX "/share/doc/dectalk/html/dectalk.htm\n\n"
     "  Or if you have xdg-open installed, click below.\n");
   gtk_box_pack_start(GTK_BOX(help_vbox), help_label, FALSE, FALSE, 0);
   gtk_label_set_justify(GTK_LABEL(help_label), GTK_JUSTIFY_LEFT);
@@ -2184,7 +2184,7 @@ void HelpHelpCallback(GtkWidget *w, gpointer data)
 
 void HelpOpenNetscape()
 {
-  system("xdg-open file://" DECTALK_INSTALL_PREFIX "/doc/DECtalk/html/dectalk.htm &");
+  system("xdg-open file://" DECTALK_INSTALL_PREFIX "/share/doc/dectalk/html/dectalk.htm &");
 }
 
 void NotAvailableCallback(GtkWidget *w, gpointer data)
diff --git samplosf/src/windict/windic.c samplosf/src/windict/windic.c
index c8fa1b13..c26a15f8 100644
--- samplosf/src/windict/windic.c
+++ samplosf/src/windict/windic.c
@@ -1122,14 +1122,14 @@ void HelpHelpCallback(GtkWidget *w, gpointer data)
   help_vbox = gtk_vbox_new(FALSE, 0);
   gtk_container_add(GTK_CONTAINER(help_window), help_vbox);
 
-  help_label = gtk_label_new("\nWindic help\n\n  Point your web browser to:\n\n   file:///usr/local/doc/DECtalk/html/DECtalk.html\n\n  Or if you use Netscape, click below.\n");
+  help_label = gtk_label_new("\nWindic help\n\n  Point your web browser to:\n\n   file://" DECTALK_INSTALL_PREFIX "/share/doc/dectalk/html/dectalk.htm\n\n  Or if you have xdg-open installed, click below.\n");
   gtk_box_pack_start(GTK_BOX(help_vbox), help_label, FALSE, FALSE, 0);
   gtk_label_set_justify(GTK_LABEL(help_label), GTK_JUSTIFY_LEFT);
 
   help_button_box = gtk_vbutton_box_new();
   gtk_box_pack_end(GTK_BOX(help_vbox), help_button_box, FALSE, FALSE, 20);
  
-  help_button = gtk_button_new_with_label("Netscape users click here.");
+  help_button = gtk_button_new_with_label("Open in web browser");
   gtk_signal_connect_object(GTK_OBJECT(help_button), "clicked",
 			    GTK_SIGNAL_FUNC(HelpOpenNetscape), 
 			    GTK_OBJECT(help_window) );
@@ -1156,7 +1156,7 @@ void HelpHelpCallback(GtkWidget *w, gpointer data)
 ********************************************************************************/
 void HelpOpenNetscape()
 {
-  system("netscape file:///usr/local/doc/DECtalk/html/DECtalk.html &");
+  system("xdg-open file://" DECTALK_INSTALL_PREFIX "/share/doc/dectalk/html/dectalk.htm &");
 }
 
 /*******************************************************************************
@@ -1255,7 +1255,7 @@ void HelpAboutCallback(GtkWidget *w, gpointer data)
 	  if (count != -1) {
 		  char *cfg;
 		  cfg = dirname(p);
-		  strcat(cfg,"/../");
+		  strcat(cfg,"/../etc/");
 		  strcat(cfg,"DECtalk.conf");
 		  config_file=fopen(cfg,"r");
 	  }
@@ -1310,7 +1310,7 @@ void HelpAboutCallback(GtkWidget *w, gpointer data)
 	     bmp = dirname(p);
 	     strcat(bmp,"/");
 	     if (parent)
-	             strcat(bmp,"../");
+	             strcat(bmp,"../share/dectalk/");
 	     strcat(bmp,bitmap_path);
 	     strcpy(bitmap_path,bmp);
 	   }
